SoAppearanceKit Class Reference
NodeKit Classes

The SoAppearanceKit class is a node kit catalog that collects miscellaneous appearance node types. More...

`#include <Inventor/nodekits/SoAppearanceKit.h>`

Inheritance diagram for SoAppearanceKit:

## Public Member Functions

virtual SoType | getTypeId (void) const
virtual const SoNodekitCatalog * | getNodekitCatalog (void) const
| SoAppearanceKit (void)
Public Member Functions inherited from SoBaseKit
| SoBaseKit (void)
virtual SoNode * | getPart (const SbName &partname, SbBool makeifneeded)
SbString | getPartString (const SoBase *part)
virtual SoNodeKitPath * | createPathToPart (const SbName &partname, SbBool makeifneeded, const SoPath *pathtoextend=NULL)
virtual SbBool | setPart (const SbName &partname, SoNode *from)
SbBool | set (const char *namevaluepairliststring)
SbBool | set (const char *partnamestring, const char *parameterstring)
virtual void | doAction (SoAction *action)
virtual void | callback (SoCallbackAction *action)
virtual void | GLRender (SoGLRenderAction *action)
virtual void | getBoundingBox (SoGetBoundingBoxAction *action)
virtual void | getMatrix (SoGetMatrixAction *action)
virtual void | handleEvent (SoHandleEventAction *action)
virtual void | rayPick (SoRayPickAction *action)
virtual void | search (SoSearchAction *action)
virtual void | write (SoWriteAction *action)
virtual void | getPrimitiveCount (SoGetPrimitiveCountAction *action)
virtual SoChildList * | getChildren (void) const
void | printDiagram (void)
void | printSubDiagram (const SbName &rootname, int level)
void | printTable (void)
virtual void | addWriteReference (SoOutput *out, SbBool isfromfield=FALSE)
SbBool | forceChildDrivenWriteRefs (SoOutput *out)
Public Member Functions inherited from SoNode
void | setOverride (const SbBool state)
SbBool | isOverride (void) const
void | setNodeType (const NodeType type)
NodeType | getNodeType (void) const
virtual SoNode * | copy (SbBool copyconnections=FALSE) const
virtual SbBool | affectsState (void) const
virtual void | GLRenderBelowPath (SoGLRenderAction *action)
virtual void | GLRenderInPath (SoGLRenderAction *action)
virtual void | GLRenderOffPath (SoGLRenderAction *action)
virtual void | pick (SoPickAction *action)
virtual void | audioRender (SoAudioRenderAction *action)
virtual void | grabEventsSetup (void)
virtual void | grabEventsCleanup (void)
virtual void | startNotify (void)
virtual void | notify (SoNotList *l)
SbUniqueId | getNodeId (void) const
virtual void | writeInstance (SoOutput *out)
virtual SoFieldContainer * | copyThroughConnection (void) const
Public Member Functions inherited from SoFieldContainer
void | setToDefaults (void)
SbBool | hasDefaultValues (void) const
SbBool | fieldsAreEqual (const SoFieldContainer *container) const
void | copyFieldValues (const SoFieldContainer *container, SbBool copyconnections=FALSE)
SbBool | set (const char *const fielddata)
void | get (SbString &fielddata)
virtual int | getFields (SoFieldList &l) const
virtual int | getAllFields (SoFieldList &l) const
virtual SoField * | getField (const SbName &name) const
virtual SoField * | getEventIn (const SbName &name) const
virtual SoField * | getEventOut (const SbName &name) const
SbBool | getFieldName (const SoField *const field, SbName &name) const
SbBool | enableNotify (const SbBool flag)
SbBool | isNotifyEnabled (void) const
SbBool | set (const char *fielddata, SoInput *input)
void | get (SbString &fielddata, SoOutput *out)
virtual SbBool | validateNewFieldValue (SoField *field, void *newval)
SbBool | getIsBuiltIn (void) const
virtual void | getFieldsMemorySize (size_t &managed, size_t &unmanaged) const
void | setUserData (void *userdata) const
void * | getUserData (void) const
Public Member Functions inherited from SoBase
void | ref (void) const
void | unref (void) const
void | unrefNoDelete (void) const
int32_t | getRefCount (void) const
void | touch (void)
SbBool | isOfType (SoType type) const
| Returns `TRUE` if the type of this object is either of the same type or inherited from type.
virtual SbName | getName (void) const
virtual void | setName (const SbName &newname)
void | addAuditor (void *const auditor, const SoNotRec::Type type)
void | removeAuditor (void *const auditor, const SoNotRec::Type type)
const SoAuditorList & | getAuditors (void) const
SbBool | shouldWrite (void)
void | assertAlive (void) const

## Static Public Member Functions

static SoType | getClassTypeId (void)
static const SoNodekitCatalog * | getClassNodekitCatalog (void)
static void | initClass (void)
Static Public Member Functions inherited from SoBaseKit
static SoType | getClassTypeId (void)
static void | initClass (void)
static const SoNodekitCatalog * | getClassNodekitCatalog (void)
static SbBool | isSearchingChildren (void)
static void | setSearchingChildren (const SbBool newval)
Static Public Member Functions inherited from SoNode
static uint32_t | getCompatibilityTypes (const SoType &nodetype)
static SoType | getClassTypeId (void)
static SoNode * | getByName (const SbName &name)
static int | getByName (const SbName &name, SoNodeList &l)
static void | initClass (void)
| Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system.
static void | initClasses (void)
static SbUniqueId | getNextNodeId (void)
static int | getActionMethodIndex (const SoType type)
static void | getBoundingBoxS (SoAction *action, SoNode *node)
static void | GLRenderS (SoAction *action, SoNode *node)
static void | callbackS (SoAction *action, SoNode *node)
static void | getMatrixS (SoAction *action, SoNode *node)
static void | handleEventS (SoAction *action, SoNode *node)
static void | pickS (SoAction *action, SoNode *node)
static void | rayPickS (SoAction *action, SoNode *node)
static void | searchS (SoAction *action, SoNode *node)
static void | writeS (SoAction *action, SoNode *node)
static void | audioRenderS (SoAction *action, SoNode *node)
static void | getPrimitiveCountS (SoAction *action, SoNode *node)
Static Public Member Functions inherited from SoFieldContainer
static void | initClass (void)
| Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system.
static SoType | getClassTypeId (void)
| This static method returns the SoType object associated with objects of this class.
static void | cleanupClass (void)
static void | initCopyDict (void)
static void | addCopy (const SoFieldContainer *orig, const SoFieldContainer *copy)
static SoFieldContainer * | checkCopy (const SoFieldContainer *orig)
static SoFieldContainer * | findCopy (const SoFieldContainer *orig, const SbBool copyconnections)
static void | copyDone (void)
Static Public Member Functions inherited from SoBase
static void | initClass (void)
| Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system.
static SoType | getClassTypeId (void)
| This static method returns the SoType object associated with objects of this class.
static void | addName (SoBase *const base, const char *const name)
static void | removeName (SoBase *const base, const char *const name)
static void | incrementCurrentWriteCounter (void)
static void | decrementCurrentWriteCounter (void)
static SoBase * | getNamedBase (const SbName &name, SoType type)
static int | getNamedBases (const SbName &name, SoBaseList &baselist, SoType type)
static SbBool | read (SoInput *input, SoBase *&base, SoType expectedtype)
static void | setInstancePrefix (const SbString &c)
static void | setTraceRefs (SbBool trace)
static SbBool | getTraceRefs (void)
static SbBool | connectRoute (SoInput *input, const SbName &fromnodename, const SbName &fromfieldname, const SbName &tonodename, const SbName &tofieldname)
static SbBool | readRoute (SoInput *input)

## Protected Member Functions

virtual const SoFieldData * | getFieldData (void) const
virtual | ~SoAppearanceKit ()
Protected Member Functions inherited from SoBaseKit
virtual | ~SoBaseKit ()
virtual SoNode * | addToCopyDict (void) const
virtual void | copyContents (const SoFieldContainer *fromfc, SbBool copyconnections)
SoGroup * | getContainerNode (const SbName &listname, SbBool makeifneeded=TRUE)
virtual SoNode * | getAnyPart (const SbName &partname, SbBool makeifneeded, SbBool leafcheck=FALSE, SbBool publiccheck=FALSE)
virtual SoNodeKitPath * | createPathToAnyPart (const SbName &partname, SbBool makeifneeded, SbBool leafcheck=FALSE, SbBool publiccheck=FALSE, const SoPath *pathtoextend=NULL)
virtual SbBool | setAnyPart (const SbName &partname, SoNode *from, SbBool anypart=TRUE)
void | createNodekitPartsList (void)
void | createFieldList (void)
virtual void | createDefaultParts (void)
const SoNodekitParts * | getNodekitPartsList (void) const
const SbList< SoSFNode * > & | getCatalogInstances (void) const
void | catalogError (void)
virtual SbBool | setUpConnections (SbBool onoff, SbBool doitalways=FALSE)
virtual SbBool | readInstance (SoInput *in, unsigned short flags)
virtual void | setDefaultOnNonWritingFields (void)
void | countMyFields (SoOutput *out)
virtual SbBool | setPart (const int partNum, SoNode *node)
Protected Member Functions inherited from SoNode
| SoNode (void)
virtual | ~SoNode ()
Protected Member Functions inherited from SoFieldContainer
| SoFieldContainer (void)
virtual | ~SoFieldContainer ()
Protected Member Functions inherited from SoBase
| SoBase (void)
virtual | ~SoBase ()
virtual void | destroy (void)
SbBool | hasMultipleWriteRefs (void) const
SbBool | writeHeader (SoOutput *out, SbBool isgroup, SbBool isengine) const
void | writeFooter (SoOutput *out) const
virtual const char * | getFileFormatName (void) const
virtual SoNotRec | createNotRec (void)

## Static Protected Member Functions

static const SoFieldData ** | getFieldDataPtr (void)
static const SoNodekitCatalog ** | getClassNodekitCatalogPtr (void)
Static Protected Member Functions inherited from SoBaseKit
static const SoFieldData ** | getFieldDataPtr (void)
static const SoNodekitCatalog ** | getClassNodekitCatalogPtr (void)
Static Protected Member Functions inherited from SoNode
static const SoFieldData ** | getFieldDataPtr (void)
static void | setNextActionMethodIndex (int index)
static int | getNextActionMethodIndex (void)
static void | incNextActionMethodIndex (void)
static void | setCompatibilityTypes (const SoType &nodetype, const uint32_t bitmask)
Static Protected Member Functions inherited from SoBase
static uint32_t | getCurrentWriteCounter (void)
static void | staticDataLock (void)
static void | staticDataUnlock (void)

## Protected Attributes

SoSFNode | complexity
SoSFNode | drawStyle
SoSFNode | environment
SoSFNode | font
SoSFNode | lightModel
SoSFNode | material
SoSFNode | texture2
Protected Attributes inherited from SoBaseKit
SoSFNode | callbackList
SoChildList * | children
SbBool | connectionsSetUp
Protected Attributes inherited from SoNode
SbUniqueId | uniqueId
Protected Attributes inherited from SoFieldContainer
SbBool | isBuiltIn

## Additional Inherited Members

Public Types inherited from SoNode

enum

NodeType {
INVENTOR = 0x0000 , VRML1 = 0x0001 , VRML2 = 0x0002 , INVENTOR_1 = 0x0004 ,
INVENTOR_2_0 = 0x0008 , INVENTOR_2_1 = 0x0010 , INVENTOR_2_5 = 0x0020 , INVENTOR_2_6 = 0x0040 ,
COIN_1_0 = 0x0080 , COIN_2_0 = 0x0100 , EXTENSION = 0x0200 , COIN_2_2 = 0x0400 ,
COIN_2_3 = 0x0800 , COIN_2_4 = 0x1000 , INVENTOR_5_0 = 0x2000 , COIN_2_5 = 0x4000 ,
COIN_3_0 = 0x8000 , INVENTOR_6_0 = 0x10000 , COIN_4_0 = 0x20000
}

Protected Types inherited from SoBase
enum | BaseFlags { IS_ENGINE = 0x01 , IS_GROUP = 0x02 }
Static Protected Attributes inherited from SoNode
static SbUniqueId | nextUniqueId = 1
static int | nextActionMethodIndex = 0

## Detailed Description

The SoAppearanceKit class is a node kit catalog that collects miscellaneous appearance node types.

Nodekit structure (new entries versus parent class marked with arrow prefix):

    CLASS SoAppearanceKit
    -->"this"
          "callbackList"
    -->   "lightModel"
    -->   "environment"
    -->   "drawStyle"
    -->   "material"
    -->   "complexity"
    -->   "texture2"
    -->   "font"

(See SoBaseKit::printDiagram() for information about the output formatting.)

Detailed information on catalog parts:

    CLASS SoAppearanceKit
    PVT   "this",  SoAppearanceKit  ---
          "callbackList",  SoNodeKitListPart [ SoCallback, SoEventCallback ]
          "lightModel",  SoLightModel  ---
          "environment",  SoEnvironment  ---
          "drawStyle",  SoDrawStyle  ---
          "material",  SoMaterial  ---
          "complexity",  SoComplexity  ---
          "texture2",  SoTexture2  ---
          "font",  SoFont  ---

(See SoBaseKit::printTable() for information about the output formatting.)

## Constructor & Destructor Documentation

## SoAppearanceKit()

SoAppearanceKit::SoAppearanceKit | ( | void |  | ) |

Constructor.

## ~SoAppearanceKit()

SoAppearanceKit::~SoAppearanceKit | ( |  | ) |

protected virtual

Destructor.

## Member Function Documentation

## getClassTypeId()

SoType SoAppearanceKit::getClassTypeId | ( | void |  | ) |

static

This static method returns the SoType object associated with objects of this class.

## getTypeId()

SoType SoAppearanceKit::getTypeId | ( | void |  | ) | const

virtual

Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and "downward" casting.

Reimplemented from SoBaseKit.

## getFieldDataPtr()

const SoFieldData ** SoAppearanceKit::getFieldDataPtr | ( | void |  | ) |

static protected

This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
Returns the SoFieldData class which holds information about fields in this node.

## getFieldData()

const SoFieldData * SoAppearanceKit::getFieldData | ( | void |  | ) | const

protected virtual

Returns a pointer to the class-wide field data storage object for this instance. If no fields are present, returns `NULL`.

Reimplemented from SoBaseKit.

## getClassNodekitCatalog()

const SoNodekitCatalog * SoAppearanceKit::getClassNodekitCatalog | ( | void |  | ) |

static

Returns the nodekit catalog which defines the layout of this class' kit.

## getNodekitCatalog()

const SoNodekitCatalog * SoAppearanceKit::getNodekitCatalog | ( | void |  | ) | const

virtual

Returns the nodekit catalog which defines the layout of this class' kit.

Reimplemented from SoBaseKit.

## getClassNodekitCatalogPtr()

const SoNodekitCatalog ** SoAppearanceKit::getClassNodekitCatalogPtr | ( | void |  | ) |

static protected

Returns the pointer to the pointer of the nodekit catalog for this class.

## initClass()

void SoAppearanceKit::initClass | ( | void |  | ) |

static

The documentation for this class was generated from the following files:

- SoAppearanceKit.h
- SoAppearanceKit.cpp